<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/platform_white"
    android:orientation="vertical">

    <ScrollView
        android:id="@+id/sv_filter"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:background="@color/platform_white"
        android:overScrollMode="never"
        android:scrollbars="none">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="8dp"
            android:orientation="vertical">

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/platform_dp_5"
                android:layout_marginTop="@dimen/platform_dp_20"
                android:text="显示方式"
                android:textColor="@color/platform_color_242424"
                android:textSize="@dimen/platform_dp_16"
                android:textStyle="bold"
                android:visibility="gone" />

            <FrameLayout
                android:id="@+id/flShowType"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="12dp"
                android:visibility="gone" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/platform_dp_28"
                android:text="咨询方式"
                android:textColor="@color/platform_color_242424"
                android:textSize="@dimen/platform_dp_16"
                android:textStyle="bold" />

            <FrameLayout
                android:id="@+id/flEnquiryType"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="12dp" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/platform_dp_28"
                android:text="服务均价"
                android:textColor="@color/platform_color_242424"
                android:textSize="@dimen/platform_dp_16"
                android:textStyle="bold" />

            <FrameLayout
                android:id="@+id/flPriceRange"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="12dp" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/platform_dp_28"
                android:text="年龄选择"
                android:textColor="@color/platform_color_242424"
                android:textSize="@dimen/platform_dp_16"
                android:textStyle="bold" />

            <FrameLayout
                android:id="@+id/flAge"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="12dp" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/platform_dp_28"
                android:text="资质选择"
                android:textColor="@color/platform_color_242424"
                android:textSize="@dimen/platform_dp_16"
                android:textStyle="bold" />

            <cn.lankton.flowlayout.FlowLayout
                android:id="@+id/flZhizi"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="12dp"
                android:paddingLeft="5dp"
                app:lineSpacing="10dp" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="28dp"
                android:text="擅长人群"
                android:textColor="@color/platform_color_242424"
                android:textSize="16sp"
                android:textStyle="bold" />

            <cn.lankton.flowlayout.FlowLayout
                android:id="@+id/fl_crowd"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="12dp"
                android:paddingLeft="5dp"
                app:lineSpacing="10dp" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/platform_dp_28"
                android:text="学历选择"
                android:textColor="@color/platform_color_242424"
                android:textSize="@dimen/platform_dp_16"
                android:textStyle="bold" />

            <FrameLayout
                android:id="@+id/fl_edu"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="12dp" />

            <LinearLayout
                android:id="@+id/ll_crowd_more"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="24dp"
                android:gravity="center"
                android:orientation="horizontal"
                android:visibility="gone"
                tools:ignore="MissingConstraints"
                tools:visibility="visible">

                <TextView
                    android:id="@+id/tv_crowd_open"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="展开"
                    android:textSize="12sp"
                    android:textColor="@color/platform_color_666666"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent" />

                <ImageView
                    android:id="@+id/iv_crowd_open"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_crowd_open"
                    />

            </LinearLayout>

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/platform_dp_28"
                android:text="其他选择"
                android:textColor="@color/platform_color_242424"
                android:textSize="@dimen/platform_dp_16"
                android:textStyle="bold" />

            <FrameLayout
                android:id="@+id/flOther"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="12dp"
                android:layout_marginBottom="40dp" />


        </LinearLayout>
    </ScrollView>


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="15dp"
        android:layout_marginTop="10dp"
        android:layout_marginRight="15dp"
        android:layout_marginBottom="15dp"
        android:background="@color/platform_white"
        android:orientation="horizontal">

        <TextView
            android:id="@+id/btnReset"
            android:layout_width="0dp"
            android:layout_height="44dp"
            android:layout_weight="1"
            android:background="@drawable/consultant_bg_radius_gray_6"
            android:gravity="center"
            android:text="@string/platform_reset"
            android:textColor="@color/platform_color_999999"
            android:textSize="16sp" />

        <TextView
            android:id="@+id/btnConfirm"
            android:layout_width="0dp"
            android:layout_height="44dp"
            android:layout_marginStart="10dp"
            android:layout_marginLeft="10dp"
            android:layout_weight="1"
            android:background="@drawable/consultant_bg_radius_5_light"
            android:gravity="center"
            android:hint="暂无匹配咨询师"
            android:textColor="@color/platform_but_text_color"
            android:textColorHint="@color/platform_color_E0E0E0"
            android:textSize="16sp" />
    </LinearLayout>
</LinearLayout>
